## python-laszip 0.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(laszip-python)

set(CMAKE_CXX_STANDARD 14)

list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

if(NOT SKBUILD)
    include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/PythonEnvHelper.cmake)
    set_python_executable_from_current_venv()
    ensure_pybind11_cmake_module_is_in_path()
endif()

find_package(pybind11)
find_package(LASzip MODULE REQUIRED)

pybind11_add_module(laszip
        src/laszip.cpp
        src/laszip_error.h
        src/lasunzipper.h
        src/lasunzipper.cpp
        src/laszipper.h
        src/laszipper.cpp
        src/python_istreambuf.h
        src/python_ostreambuf.h)

target_link_libraries(laszip PRIVATE LASzip::LASzip)

install(TARGETS laszip DESTINATION laszip)
if (WIN32)
    install(FILES ${LASZIP_DLL} DESTINATION laszip)
endif()

=== debian/changelog ===
python-laszip (0.2.3-1build4) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:58:48 +0000

python-laszip (0.2.3-1build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 23:53:18 +0000

python-laszip (0.2.3-1build2) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 15 Nov 2024 04:37:37 +0100

python-laszip (0.2.3-1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 11 Apr 2024 10:44:32 +0000

python-laszip (0.2.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1055995)

 -- Timo Röhling <roehling@debian.org>  Wed, 15 Nov 2023 20:22:34 +0100

=== debian/control ===
Source: python-laszip
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Timo Röhling <roehling@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 dh-python,
 dh-sequence-python3,
 liblaszip-dev,
 libpython3-all-dev,
 ninja-build,
 pybind11-dev,
 pybuild-plugin-pyproject,
 python3-all-dev:any,
 python3-pathspec,
 python3-pyproject-metadata,
 python3-scikit-build-core,
Homepage: https://github.com/tmontaigu/laszip-python
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/python-laszip.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-laszip
Description: Python bindings for LASzip
 This module provides LASzip bindings in Python, primarily intended for use
 with laspy. LASzip is a specialized compression for the ASPRS LAS file format
 to store data from LiDAR sensors much more efficiently.

Package: python3-laszip
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python3:Depends},
Enhances:
 python3-laspy,
Description: ${source:Synopsis} (Python 3 module)
 ${source:Extended-Description}
 .
 This package installs the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME = laszip

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=searchmode=plain,filenamemangle=s%(?:.*?/)?v?@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,uversionmangle=s%[.-]?(a|b|c|rc|dev|pre)%~$1% \
 https://api.github.com/repos/tmontaigu/laszip-python/tags \
 tarball/(?:[^"]*?/)?[a-z]*@ANY_VERSION@

## python-laszip 0.2.4+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,16 @@
 endif()
 
 find_package(pybind11)
-find_package(LASzip MODULE REQUIRED)
+
+option(USE_VENDORED_LASZIP "Build by building and linking to the vendored LASZip" ON)
+
+if (USE_VENDORED_LASZIP)
+    option(LASZIP_BUILD_STATIC "Build LASZip as static lib" ON)
+    set(LASZIP_VENDOR "LASzip-3.4.4")
+    add_subdirectory(src/vendor/${LASZIP_VENDOR})
+else()
+    find_package(LASzip MODULE REQUIRED)
+endif()
 
 pybind11_add_module(laszip
         src/laszip.cpp
@@ -24,7 +33,20 @@
         src/python_istreambuf.h
         src/python_ostreambuf.h)
 
-target_link_libraries(laszip PRIVATE LASzip::LASzip)
+if (USE_VENDORED_LASZIP)
+    target_compile_definitions(laszip PRIVATE USE_VENDORED_LASZIP)
+    target_include_directories(laszip
+        PRIVATE
+        src/vendor/${LASZIP_VENDOR}/dll
+    )
+    target_link_libraries(laszip PRIVATE  laszip_base)
+    set_target_properties(laszip
+        PROPERTIES
+        POSITION_INDEPENDENT_CODE TRUE
+    )
+else()
+    target_link_libraries(laszip PRIVATE LASzip::LASzip)
+endif()
 
 install(TARGETS laszip DESTINATION laszip)
 if (WIN32)

=== debian/changelog ===
python-laszip (0.2.4+ds-1) unstable; urgency=medium

  * Exclude vendored copy of laszip
  * Migrate debian/watch to version 5 format
  * New upstream version 0.2.4+ds
  * Delete obsolete patch for GCC-13
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2
  * Build against laszip system library

 -- Timo Röhling <roehling@debian.org>  Mon, 08 Dec 2025 21:40:08 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
  Timo Röhling <roehling@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- cmake,
  dh-python,
  dh-sequence-python3,
- liblaszip-dev,
+ cmake,
+ liblaszip-dev (>= 3.5.0+really3.5.0),
  libpython3-all-dev,
  ninja-build,
  pybind11-dev,
@@ -19,7 +19,7 @@
  python3-pyproject-metadata,
  python3-scikit-build-core,
 Homepage: https://github.com/tmontaigu/laszip-python
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-laszip.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-laszip
@@ -31,13 +31,12 @@
 Package: python3-laszip
 Architecture: any
 Depends:
- ${shlibs:Depends},
  ${misc:Depends},
  ${python3:Depends},
+ ${shlibs:Depends},
 Enhances:
  python3-laspy,
 Description: ${source:Synopsis} (Python 3 module)
  ${source:Extended-Description}
  .
  This package installs the Python 3 module.
-

## python-laszip 0.3.0+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,13 +17,15 @@
 
 if (USE_VENDORED_LASZIP)
     option(LASZIP_BUILD_STATIC "Build LASZip as static lib" ON)
-    set(LASZIP_VENDOR "LASzip-3.4.4")
-    add_subdirectory(src/vendor/${LASZIP_VENDOR})
+    set(LASZIP_VENDOR "LASzip-4f39c23907bb92cc583aa95bb2ace2ca4f6efdbe")
+    add_subdirectory(src/vendor/${LASZIP_VENDOR} EXCLUDE_FROM_ALL)
 else()
     find_package(LASzip MODULE REQUIRED)
 endif()
 
-pybind11_add_module(laszip
+set(PY_MODULE_NAME laszip_core)
+
+pybind11_add_module(${PY_MODULE_NAME}
         src/laszip.cpp
         src/laszip_error.h
         src/lasunzipper.h
@@ -34,21 +36,29 @@
         src/python_ostreambuf.h)
 
 if (USE_VENDORED_LASZIP)
-    target_compile_definitions(laszip PRIVATE USE_VENDORED_LASZIP)
-    target_include_directories(laszip
+    target_compile_definitions(${PY_MODULE_NAME} PRIVATE USE_VENDORED_LASZIP)
+    target_include_directories(${PY_MODULE_NAME}
         PRIVATE
         src/vendor/${LASZIP_VENDOR}/dll
+        src/vendor/${LASZIP_VENDOR}/include/laszip
     )
-    target_link_libraries(laszip PRIVATE  laszip_base)
-    set_target_properties(laszip
+    if (WIN32)
+      target_link_libraries(${PY_MODULE_NAME} PRIVATE  laszip3)
+    else()
+      set_target_properties(laszip PROPERTIES POSITION_INDEPENDENT_CODE TRUE)
+      target_link_libraries(${PY_MODULE_NAME} PRIVATE  laszip)
+    endif()
+
+    set_target_properties(${PY_MODULE_NAME}
         PROPERTIES
         POSITION_INDEPENDENT_CODE TRUE
     )
 else()
-    target_link_libraries(laszip PRIVATE LASzip::LASzip)
+    target_link_libraries(${PY_MODULE_NAME} PRIVATE LASzip::LASzip)
 endif()
 
-install(TARGETS laszip DESTINATION laszip)
+install(TARGETS ${PY_MODULE_NAME} DESTINATION laszip)
 if (WIN32)
     install(FILES ${LASZIP_DLL} DESTINATION laszip)
 endif()
+

=== debian/changelog ===
python-laszip (0.3.0+ds-1) unstable; urgency=medium

  * New upstream version 0.3.0+ds
  * Refresh patch (no functional changes)
  * Bump Standards-Version to 4.7.3

 -- Timo Röhling <roehling@debian.org>  Fri, 02 Jan 2026 22:14:53 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  python3-pyproject-metadata,
  python3-scikit-build-core,
 Homepage: https://github.com/tmontaigu/laszip-python
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-laszip.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-laszip

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PYBUILD_NAME = laszip
export CMAKE_ARGS = -DUSE_VENDORED_LASZIP=OFF

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
Version: 5

Template: Github
Owner: tmontaigu
Project: laszip-python
Repack: yes
Repack-Suffix: +ds
Dversion-Mangle: auto
Uversion-Mangle: auto
